### Method

# ECal ComponentPropertyBag get

since: 3.34

#### Declaration [src]

    ICalProperty*
    e_cal_component_property_bag_get (
      const ECalComponentPropertyBag* bag,
      guint index
    )

#### Description [src]

Returns the `ICalProperty` at the given `index`. If the `index` is out of bounds (not lower than e_cal_component_property_bag_get_count()), then `NULL` is returned.

The returned property is owned by the `bag` and should not be freed by the caller.

Available since: 3.34

#### Parameters

`index`

  Type: `guint`

  An index of the property to get.

#### Return value

Type: `None`

The `ICalProperty` at the given `index`, or `NULL` on error.

The returned data is owned by the instance.
The return value can be `NULL`.